"use strict";

const matchValue = require("match-value");

module.exports = function normalizeEncryptionAlgorithmName(algorithm) {
	return matchValue(algorithm, {
		"m.secret_storage.v1.aes-hmac-sha2": "aes-ctr-256.hmac-sha-256",
		"m.olm.v1.curve25519-aes-sha2": "olm.curve25519.aes-cbc-256.sha-256",
		"m.megolm.v1.aes-sha2": "megolm.ed25519.aes-cbc-256.hmac-sha-256"
	});
};
